| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::LibsInfoDlg Class Reference
Inheritance diagram for Digikam::LibsInfoDlg:

## Public Member Functions
| LibsInfoDlg (QWidget *const parent)
Public Member Functions inherited from Digikam::InfoDlg
| InfoDlg (QWidget *const parent)
QDialogButtonBox * | buttonBox () const
QTreeWidget * | listView () const
QWidget * | mainWidget () const
virtual void | setInfoMap (const QMap< QString, QString > &list)
QTabWidget * | tabView () const

## Protected Member Functions
void | populateBuildTools ()
void | populateFeatures ()
void | populateLibraries ()
void | populateManifest ()
void | populateOpenCV ()

## Protected Attributes
QTreeWidgetItem * | m_buildtools = nullptr
QTreeWidgetItem * | m_features = nullptr
QTreeWidgetItem * | m_libraries = nullptr

## Member Function Documentation

## ◆ populateManifest()

void Digikam::LibsInfoDlg::populateManifest | ( |  | ) |
| protected

NOTE: MANIFEST.txt is a text file generated with the bundles and listing all git revisions of rolling release components. One section title start with '+'. All component revisions are listed below line by line with the name and the revision separated by ':'. More than one section can be listed in manifest.